curl --request POST \
--url https://service.uat-keys.coincover.com/v1/secure/data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"public_key": "<string>",
"data": "aSDinaTvuI8gbWludGxpZnk=",
"checksum": "<string>",
"padding_type": "OAEP",
"metadata": {
"description": "<string>",
"content_type": "<string>",
"original_filename": "<string>"
}
}
'import requests
url = "https://service.uat-keys.coincover.com/v1/secure/data"
payload = {
"public_key": "<string>",
"data": "aSDinaTvuI8gbWludGxpZnk=",
"checksum": "<string>",
"padding_type": "OAEP",
"metadata": {
"description": "<string>",
"content_type": "<string>",
"original_filename": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
public_key: '<string>',
data: 'aSDinaTvuI8gbWludGxpZnk=',
checksum: '<string>',
padding_type: 'OAEP',
metadata: {
description: '<string>',
content_type: '<string>',
original_filename: '<string>'
}
})
};
fetch('https://service.uat-keys.coincover.com/v1/secure/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"backup_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checksum": "<string>",
"data_size": 123,
"backup_type": "data",
"metadata": {}
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}Store secure encrypted data
Stores base64-encoded encrypted data with optional checksum validation and padding type specification. The data is verified using the enclave before storage. Supplying the SHA-256 of the plaintext as the checksum is recommended.
Authorizations
Bearer token authentication. Can be either a JWT token or API key.
Headers
Bearer token for authentication. Can be either a JWT token or API key.
Body
Secure data and metadata
Public key in hex format used to encrypt the data
32 - 4096^[0-9a-fA-F]+$Base64-encoded encrypted data
SHA-256 checksum of the original plaintext for verification (optional but recommended)
^[a-fA-F0-9]{64}$Padding type used for encryption
OAEP Optional metadata about the data
Show child attributes
Show child attributes
Response
Secure data successfully stored
Unique identifier for the stored backup
SHA-256 checksum that was verified
Size of the encrypted data in bytes
Type of backup (always 'data' for secure-data endpoint)
data Combined metadata including original metadata